VirtualBox Main API

Public Attributes | List of all members
IGuestMultiTouchEvent Interface Reference

Notification when guest touch screen event happens. More...

Inheritance diagram for IGuestMultiTouchEvent:

## Public Attributes
readonly attribute long | contactCount
| Number of contacts in the event.
readonly attribute short[] | xPositions
| X positions.
readonly attribute short[] | yPositions
| Y positions.
readonly attribute unsigned short[] | contactIds
| Contact identifiers.
readonly attribute unsigned short[] | contactFlags
| Contact state.
readonly attribute boolean | isTouchScreen
| Distinguishes between touchscreen and touchpad events.
readonly attribute unsigned long | scanTime
| Timestamp of the event in milliseconds.
Public Attributes inherited from IEvent
readonly attribute VBoxEventType | type
| Event type.
readonly attribute IEventSource | source
| Source of this event.
readonly attribute boolean | waitable
| If we can wait for this event being processed.

## Additional Inherited Members
Public Member Functions inherited from IEvent
void | setProcessed ()
| Internal method called by the system when all listeners of a particular event have called IEventSource::eventProcessed.
void | waitProcessed (in long timeout, [retval] out boolean result)
| Wait until time outs, or this event is processed.

## Detailed Description

Notification when guest touch screen event happens.

Interface ID:
  `{1F99D9DC-C144-4C28-9F88-E6F488DB5441}`

## Member Data Documentation

## ◆ contactCount

readonly attribute long IGuestMultiTouchEvent::contactCount

Number of contacts in the event.

## ◆ xPositions

readonly attribute short [] IGuestMultiTouchEvent::xPositions

X positions.

## ◆ yPositions

readonly attribute short [] IGuestMultiTouchEvent::yPositions

Y positions.

## ◆ contactIds

readonly attribute unsigned short [] IGuestMultiTouchEvent::contactIds

Contact identifiers.

## ◆ contactFlags

readonly attribute unsigned short [] IGuestMultiTouchEvent::contactFlags

Contact state.

Bit 0: in contact. Bit 1: in range.

## ◆ isTouchScreen

readonly attribute boolean IGuestMultiTouchEvent::isTouchScreen

Distinguishes between touchscreen and touchpad events.

## ◆ scanTime

readonly attribute unsigned long IGuestMultiTouchEvent::scanTime

Timestamp of the event in milliseconds.

Only relative time between events is important.